Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class C45Wrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper

Direct Known Subclasses:
  FeatureSelectionWrapper, MMS3Wrapper, RulesWrapper, TreeWrapper

    public abstract class C45Wrapper

extends Wrapper

Superclass for the wrappers that use C4.5

Version:
  $Id: C45Wrapper.java,v 1.5 2006/09/27 14:59:54 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`protected java.io.PrintWriter` | `m_data`
`protected java.lang.String` | `m_file_name`
`protected java.io.PrintWriter` | `m_names`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`C45Wrapper(Step step, ExecutableOperator exOp)`

Method Summary
`void` | `checkMetaData()`
`protected void` | `clean()`
`protected void` | `exportData()`
`protected void` | `exportNames()`
`protected void` | `exportTable()`
`protected void` | `exportValue(java.sql.ResultSet res, int col_i, ColumnInfo ci)`
`protected java.lang.String` | `getSampleTableName()`
`protected void` | `getValues()`
`protected void` | `getValues(ColumnInfo ci)`
`protected java.lang.String` | `makeQuery()`
`protected void` | `setSampleTableName(java.lang.String sampleTableName)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, callTool, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, importResult, run, saveResult, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_file_name

    protected java.lang.String m_file_name

### m_data

    protected java.io.PrintWriter m_data

### m_names

    protected java.io.PrintWriter m_names

Constructor Detail

### C45Wrapper

    public C45Wrapper(Step step,
                      ExecutableOperator exOp)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### checkMetaData

    public void checkMetaData()
                       throws java.lang.Exception

  Specified by:
    `checkMetaData` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### makeQuery

    protected java.lang.String makeQuery()
                                  throws DMException,
                                         DbConnectionClosed,
                                         M4CompilerError

  Throws:
    `DMException`
    `DbConnectionClosed`
    `M4CompilerError`

### getValues

    protected void getValues()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getValues

    protected void getValues(ColumnInfo ci)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportTable

    protected void exportTable()
                        throws java.lang.Exception

  Specified by:
    `exportTable` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### exportData

    protected void exportData()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportValue

    protected void exportValue(java.sql.ResultSet res,
                               int col_i,
                               ColumnInfo ci)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### exportNames

    protected void exportNames()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### clean

    protected void clean()
                  throws java.lang.Exception

  Specified by:
    `clean` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### setSampleTableName

    protected void setSampleTableName(java.lang.String sampleTableName)

### getSampleTableName

    protected java.lang.String getSampleTableName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005